package com.liquidnet.service.kylin.dto.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel
@Data
public class KylinCandyItemParam implements Serializable, Cloneable {

    @ApiModelProperty(value = "券类型id")
    private String couponId;
    @ApiModelProperty(value = "每一张券id")
    private String ucouponId;

    private static final KylinCandyItemParam obj = new KylinCandyItemParam();

    public static KylinCandyItemParam getNew() {
        try {
            return (KylinCandyItemParam) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinCandyItemParam();
        }
    }

}
